#import <appkit/appkit.h>

/*
 * A file collection object. Stores single file names as instances
 * of StringStorage and allows "ls" type selections.
 *
 * NOTE: unlike Bourne shell, select: does not treat the . in the first column
 * as a special case, i.e., select: "*" will yield all files including .* files.
 */

@interface FileCollection:List
{
   id selectedFiles;			     /* files selected in last select */
}

- init;
- free;

- (int) select: (const char *)pattern;	     /* select out files, uses bourne shell wild cards: ?,*,[] */
- selectedFiles;			     /* return a list containing result of last select */

@end
